SecurityTracker.com
Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 
Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Affiliates
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Partners
Become a Partner and License Our Database or Notification Service
Report a Bug
Report a vulnerability that you have found to SecurityTracker
bugs
@
securitytracker.com






Category:   Application (Generic)  >   phpCodeCabinet Vendors:   Fears, Brad
phpCodeCabinet Input Validation Bugs Let Remote Users Conduct Cross-Site Scripting Attacks
SecurityTracker Alert ID:  1009012
SecurityTracker URL:  http://securitytracker.com/id/1009012
CVE Reference:   CVE-2004-2085   (Links to External Site)
Updated:  Jun 24 2008
Original Entry Date:  Feb 11 2004
Impact:   Disclosure of authentication information, Disclosure of user information, Execution of arbitrary code via network, Modification of user information
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): prior to 0.5
Description:   Some input validation vulnerabilities were reported in phpCodeCabinet. A remote user can conduct cross-site scripting attacks.

It is reported that several scripts do not properly validate user-supplied input before displaying information based on the user input. A remote user can create a specially crafted request that, when executed by a target user, will cause arbitrary scripting code to be executed by the target user's browser. The code will originate from the site running the phpCodeCabinet software and will run in the security context of that site. As a result, the code will be able to access the target user's cookies (including authentication cookies), if any, associated with the site, access data recently submitted by the target user via web form to the site, or take actions on the site acting as the target user.

The 'cid' parameter of 'browser.php', the 'sid' variable of 'comments.php', the 'cid', 'cf', and 'rfd' parameters of 'category.php', and the 'cid' parameter of 'input.php' appear to be affected [based on analysis of CVS entries].

The vendor credits Yao-Wen (Wayne) Huang with reporting these flaws.

Impact:   A remote user can access the target user's cookies (including authentication cookies), if any, associated with the site running the phpCodeCabinet software, access data recently submitted by the target user via web form to the site, or take actions on the site acting as the target user.
Solution:   The vendor has released a fixed version (0.5), available at:

http://prdownloads.sourceforge.net/phpcodecabinet/phpcc-0.5.tar.gz?download

Vendor URL:  phpcc.mtsdev.com/ (Links to External Site)
Cause:   Input validation error
Underlying OS:   Linux (Any), UNIX (Any)

Message History:   None.


 Source Message Contents

Date:  Tue, 10 Feb 2004 17:51:39 -0500
Subject:  phpCodeCabinet 0.5


  - phpCodeCabinet 0.5
   by Brad Fears (http://freshmeat.net/users/ddgenius/)
   Wednesday, February 4th 2004 07:18

Internet
Software Development

About: phpCodeCabinet allows developers to store code snippets from any
language. Features include user-defined categories, syntax highlighting,
an extensive search engine, a theme-based interface, user authentication,
and code/category ownership privileges.

Changes: An import/export feature has been added, allowing users to backup
or exchange their snippets and/or categories. A number of bugs have also
been fixed, as well as one minor security vulnerability.

License: GNU General Public License (GPL)

URL: http://freshmeat.net/projects/phpcodecabinet/

 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

Copyright 2014, SecurityGlobal.net LLC